-- phpMyAdmin SQL Dump
-- version 3.5.1
-- http://www.phpmyadmin.net
--
-- Хост: 127.0.0.1
-- Время создания: Апр 02 2016 г., 06:32
-- Версия сервера: 5.5.25
-- Версия PHP: 5.3.13

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- База данных: `456`
--

-- --------------------------------------------------------

--
-- Структура таблицы `ban_list`
--

CREATE TABLE IF NOT EXISTS `ban_list` (
  `id` int(250) NOT NULL AUTO_INCREMENT,
  `id_user` int(250) NOT NULL,
  `id_adm` int(250) NOT NULL,
  `time` int(250) NOT NULL,
  `text` varchar(1250) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `forum`
--

CREATE TABLE IF NOT EXISTS `forum` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(40) NOT NULL,
  `opis` varchar(60) NOT NULL,
  `adm` set('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `f_category`
--

CREATE TABLE IF NOT EXISTS `f_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `forum_id` int(11) NOT NULL,
  `name` varchar(40) NOT NULL,
  `opis` varchar(60) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `forum_id` (`forum_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `f_post`
--

CREATE TABLE IF NOT EXISTS `f_post` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `forum_id` int(11) NOT NULL,
  `cat_id` int(11) NOT NULL,
  `them_id` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `msg` varchar(2000) NOT NULL,
  `hide` varchar(16) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id_user` (`id_user`),
  KEY `time` (`time`),
  KEY `forum_id` (`forum_id`),
  KEY `cat_id` (`cat_id`),
  KEY `them_id` (`them_id`),
  FULLTEXT KEY `msg` (`msg`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `f_theme`
--

CREATE TABLE IF NOT EXISTS `f_theme` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `forum_id` int(11) NOT NULL,
  `cat_id` int(11) DEFAULT NULL,
  `id_user` int(11) DEFAULT NULL,
  `name` varchar(50) NOT NULL,
  `msg` varchar(20000) NOT NULL,
  `time` int(11) NOT NULL,
  `fix` set('0','1') NOT NULL DEFAULT '0',
  `close` set('0','1') NOT NULL DEFAULT '0',
  `last_post` int(11) NOT NULL,
  `who_close` varchar(16) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `forum_id` (`forum_id`,`cat_id`),
  FULLTEXT KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `gradient`
--

CREATE TABLE IF NOT EXISTS `gradient` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `who` varchar(255) DEFAULT NULL,
  `start` varchar(255) DEFAULT NULL,
  `end` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=2 ;

--
-- Дамп данных таблицы `gradient`
--

INSERT INTO `gradient` (`id`, `who`, `start`, `end`) VALUES
(1, '1', '8877d7', '30afb7');

-- --------------------------------------------------------

--
-- Структура таблицы `notifications`
--

CREATE TABLE IF NOT EXISTS `notifications` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `from_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `msg` varchar(1024) NOT NULL,
  `read` set('0','1') NOT NULL DEFAULT '0',
  `message` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`id_user`,`from_id`),
  KEY `read` (`read`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `portfel`
--

CREATE TABLE IF NOT EXISTS `portfel` (
  `id` int(200) NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL,
  `user` int(50) NOT NULL,
  `text` varchar(2000) NOT NULL,
  `status` int(50) NOT NULL,
  `dei` varchar(200) NOT NULL,
  `po` varchar(200) NOT NULL,
  `time` int(200) NOT NULL,
  `icq` int(200) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `portfel_folder`
--

CREATE TABLE IF NOT EXISTS `portfel_folder` (
  `id` int(200) NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL,
  `user` int(200) NOT NULL,
  `time` int(200) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

--
-- Структура таблицы `portfel_komm`
--

CREATE TABLE IF NOT EXISTS `portfel_komm` (
  `id` int(200) NOT NULL AUTO_INCREMENT,
  `text` text NOT NULL,
  `user_id` int(200) NOT NULL,
  `refid` int(200) NOT NULL,
  `time` int(200) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `portfel_rating`
--

CREATE TABLE IF NOT EXISTS `portfel_rating` (
  `id` int(200) NOT NULL AUTO_INCREMENT,
  `refid` int(200) NOT NULL,
  `user` int(200) NOT NULL,
  `text` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `time` int(200) NOT NULL,
  `type` int(5) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `portfel_scr`
--

CREATE TABLE IF NOT EXISTS `portfel_scr` (
  `id` int(200) NOT NULL AUTO_INCREMENT,
  `user` int(200) NOT NULL,
  `url` text NOT NULL,
  `refid` int(200) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `portfel_uslug`
--

CREATE TABLE IF NOT EXISTS `portfel_uslug` (
  `id` int(200) NOT NULL AUTO_INCREMENT,
  `refid` int(200) NOT NULL,
  `name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `rub` int(200) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `portfel_work`
--

CREATE TABLE IF NOT EXISTS `portfel_work` (
  `id` int(200) NOT NULL AUTO_INCREMENT,
  `refid` int(200) NOT NULL,
  `user` int(200) NOT NULL,
  `name` varchar(200) NOT NULL,
  `text` text NOT NULL,
  `rub` int(200) NOT NULL,
  `time` int(200) NOT NULL,
  `status` int(2) NOT NULL,
  `time_abb` varchar(200) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `settings`
--

CREATE TABLE IF NOT EXISTS `settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(244) NOT NULL,
  `style` varchar(244) NOT NULL DEFAULT 'default',
  `key` text NOT NULL,
  `des` text NOT NULL,
  `cop` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `smiles`
--

CREATE TABLE IF NOT EXISTS `smiles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(11) NOT NULL,
  `id_dir` int(50) NOT NULL,
  `smi` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(20) NOT NULL,
  `pass` varchar(255) NOT NULL,
  `sex` varchar(1) NOT NULL,
  `name` varchar(30) NOT NULL,
  `email` varchar(40) NOT NULL,
  `strana` varchar(255) NOT NULL,
  `gorod` varchar(255) NOT NULL,
  `icon_my` varchar(555) NOT NULL,
  `icq` varchar(555) NOT NULL,
  `url` varchar(555) NOT NULL,
  `money` int(50) NOT NULL DEFAULT '0',
  `datareg` varchar(255) NOT NULL,
  `level` int(1) NOT NULL,
  `browser` varchar(250) NOT NULL,
  `ip` varchar(250) NOT NULL,
  `viz` varchar(250) NOT NULL,
  `online` varchar(250) NOT NULL,
  `gde` varchar(255) NOT NULL,
  `wmid` varchar(255) NOT NULL,
  `wmr` varchar(255) NOT NULL,
  `max` int(30) NOT NULL DEFAULT '10',
  `rating` varchar(244) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
